package jm28;

import java.util.*;

import org.hibernate.*;
import org.hibernate.cfg.*;

public class Cria2 {
    
    public static void main(String[] args) {

        SessionFactory sessionFactory =
            new Configuration().configure().buildSessionFactory();
            
        Session session = sessionFactory.openSession();
            
        Transaction tx = session.beginTransaction();
        
        Categoria categoria = (Categoria)session.get(Categoria.class, 0L);

        Cliente cliente = new Cliente();
        cliente.setNome("May Parker");
        cliente.setSexo('F');
        cliente.setEmail("may@marvel.com");
        Endereco endereco = new Endereco();
        endereco.setLogradouro("5th Avenue");
        endereco.setNumero(171);
        endereco.setComplemento(null);
        endereco.setBairro("Queens");
        endereco.setMunicipio("New York");
        cliente.setEndereco(endereco);
        Set<String> telefones = new HashSet<String>();
        telefones.add("5555-1234");
        cliente.setTelefones(telefones);

        cliente.setCategoria(categoria);
        categoria.getClientes().add(cliente);

        tx.commit();
        
        session.close();
    }
    
}
